CATMAN(8)

NAZWA
catman - tworzy lub aktualizuje preformatowane strony podręcznika ekranowego

SKŁADNIA
catman [-d?V] [-M ścieżka] [-C plik] [sekcja] ...

OPIS
catman służy do tworzenia i aktualizacji zestawu preformatowanych stron podręcznika znanych jako strony cat (cat pages). Wyświetlanie stron "cat" jest na ogół dużo szybsze niż wyświetlenie pierwotnych stron man, jednakże strony "cat" wymagają dodatkowego miejsca na ich składowanie. Decyzja o obsłudze stron "cat" należy do lokalnego administratora, który musi zapewnić odpowiednie katalogi do ich przechowywania. Opcje polecenia catman opisują hierarchie stron podręcznika man oraz sekcje, które mają podlegać preformatowaniu. Domyślnymi hierarchiami (drzewami katalogów) są te, które określono jako systemowe w pliku konfiguracyjnym man-db. Domyślne sekcje określa albo podzielona dwukropkami zawartość zmiennej środowiska $MANSECT, albo zestaw standardowy wkompilowany w man, jeżeli $MANSECT jest niezdefiniowana. Wywołanie catman z zestawem rozdzielonych białymi znakami nazw sekcji nadpisuje powyższe ustawienia domyślne. catman do ustalenia, które z plików powinny zostać sformatowane, korzysta z indeksów baz danych (index database cache) związanych z każdą z hierarchii.

OPCJE

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-M ścieżka, --manpath=ścieżka
    Określa alternatywną, rozdzieloną dwukropkami, ścieżkę przeszukiwań hierarchii stron podręcznika (manpath). Domyślnie są to wszystkie ścieżki wskazane jako systemowe w pliku konfiguracyjnym man-db.

-C plik, --config-file=plik
    Używa podanego pliku konfiguracyjnego użytkownika zamiast domyślnego ~/.manpath.

-?, --help
    Wyświetla komunikat pomocy i kończy pracę.

--usage
    Wyświetla krótki opis użycia programu i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ŚRODOWISKO

MANSECT
    Jeżeli ustawiona jest $MANSECT, to jej wartość jest listą oddzielonych dwukropkami sekcji i służy do określania, które sekcje podręcznika man i w jakiej kolejności będą przeszukiwane. Domyślną wartością jest "1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x", chyba że zostanie to nadpisane w polu SECTION pliku /etc/man_db.conf.

MANPATH
    Jeżeli ustawiona jest $MANPATH, to jej wartość jest interpretowana jako wskazana do użycia ścieżka przeszukiwań hierarchii stron man. Ścieżka zawiera rozdzielone dwukropkami nazwy hierarchii (katalogów).

PLIKI

/etc/man_db.conf
    Plik konfiguracyjny man-db.

/usr/man/index.(bt|db|dir|pag)
    Tradycyjny globalny indeks bazy danych.

/var/catman/index.(bt|db|dir|pag)
    Alternatywny lub zgodny z FSSTND globalny indeks bazy danych.

ZOBACZ TAKŻE
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.